Summary:	Small load balancing tools
Name:		slb
Version:	0.1.24
Release:	1
License:	GPLv3+
Group:		Applications/Internet
Source:		http://kernel.embedromix.ro/us/slb/%{name}-%{version}.tar.gz
URL:		http://kernel.embedromix.ro/us/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Small load balancing tools

%prep
%setup -q

%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}


%package client
Summary:	Small load balancing tools - the client files
Group:		Applications/Network
BuildRequires:	Conn >= 1.0.32-1
Requires:	Conn >= 1.0.32-1, logrotate, slb

%description client
Small load balancing tools - the client part

%files client
%attr (-,root,root)
%{_sbindir}/slbcd
%{_sysconfdir}/logrotate.d/slbc
%{_sysconfdir}/rc.d/init.d/slbc
%{_sysconfdir}/slb/slbcd.conf.sample
%dir /var/log/slb/

%post client
/sbin/chkconfig --add slbc

%preun client
if [ "$1" = "0" ]; then
	/sbin/service slbc stop > /dev/null 2>&1
	/sbin/chkconfig --del slbc
fi



%package server
Summary:	Small load balancing tools - the server files
Group:		Applications/Network
BuildRequires:	Conn >= 1.0.32-1
Requires:	Conn >= 1.0.32-1, ipvsadm, logrotate, slb

%description server
Small load balancing tools - the server part

%files server
%attr (-,root,root)
%{_sbindir}/slbmd
%{_sysconfdir}/logrotate.d/slbm
%{_sysconfdir}/rc.d/init.d/slbm
%{_sysconfdir}/slb/slbmd.conf.sample
%dir /var/log/slb/

%post server
/sbin/chkconfig --add slbm

%preun server
if [ "$1" = "0" ]; then
	/sbin/service slbm stop > /dev/null 2>&1
	/sbin/chkconfig --del slbm
fi


%files
%attr (-,root,root)
%doc README Changelog TODO LICENSE


%changelog
* Wed Dec 14 2011 Catalin(ux) M. BOIE <catab at embedromix dot ro> 0.1.23
Spec fixes.
